package com.kingdee.shr.compensation;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class RetMoneyFacadeFactory
{
    private RetMoneyFacadeFactory()
    {
    }
    public static com.kingdee.shr.compensation.IRetMoneyFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.shr.compensation.IRetMoneyFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("E9D4CD3B") ,com.kingdee.shr.compensation.IRetMoneyFacade.class);
    }
    
    public static com.kingdee.shr.compensation.IRetMoneyFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.shr.compensation.IRetMoneyFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("E9D4CD3B") ,com.kingdee.shr.compensation.IRetMoneyFacade.class, objectCtx);
    }
    public static com.kingdee.shr.compensation.IRetMoneyFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.shr.compensation.IRetMoneyFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("E9D4CD3B"));
    }
    public static com.kingdee.shr.compensation.IRetMoneyFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.shr.compensation.IRetMoneyFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("E9D4CD3B"));
    }
}